## limesuite 16.8.23.819+git20161221+dfsg

=== debian/changelog ===
limesuite (16.8.23.819+git20161221+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #847798)

 -- Andreas Bombe <aeb@debian.org>  Thu, 22 Dec 2016 02:11:19 +0100
