=== debian/changelog ===
limesuite (16.12.0+dfsg-1) unstable; urgency=medium

  * New upstream release 16.12.0
  * Add patch fix-abs-overload taken from upstream git fixing compile
    error for the new version
  * Rename liblimesuite16.8-1 to liblimesuite16.12-1 to follow soname
    change
  * Add watch file

 -- Andreas Bombe <aeb@debian.org>  Thu, 12 Jan 2017 01:40:43 +0100

limesuite (16.8.23.819+git20161221+dfsg-2) unstable; urgency=medium

  * Link to libatomic (Closes: #849536)
  * Link with --as-needed 
  * Make liblimesuite-dev Multi-Arch: same and limesuite-udev
    Multi-Arch: foreign
  * Extend patch fix-icon-install to make sure desktop files are
    installed on all architectures, not just Linux
  * Add patch fix-libusb-include to fix sources including
    <libusb-1.0/libusb.h> when <libusb.h> is sufficient and doesn't
    break kfreebsd

 -- Andreas Bombe <aeb@debian.org>  Fri, 06 Jan 2017 04:34:07 +0100
