=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 Package: limesuite
 Architecture: any
-Depends: liblimesuite16.8-1 (>= ${binary:Version}),
+Depends: liblimesuite16.12-1 (>= ${binary:Version}),
          python, python-soapysdr,
          ${shlibs:Depends}, ${misc:Depends}
 Description: tools to test, control and update LMS7 transceiver based hardware
@@ -31,7 +31,7 @@
  This package contains the command line and GUI tools to control and update the
  hardware devices.
 
-Package: liblimesuite16.8-1
+Package: liblimesuite16.12-1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -47,7 +47,8 @@
 Package: liblimesuite-dev
 Section: libdevel
 Architecture: any
-Depends: liblimesuite16.8-1 (= ${binary:Version}),
+Multi-Arch: same
+Depends: liblimesuite16.12-1 (= ${binary:Version}),
          ${misc:Depends}
 Description: library to access LMS7 transceiver based hardware (development)
  Lime Suite is a collection of software supporting Lime Microsystems LMS7 RF
@@ -59,7 +60,7 @@
 Package: soapysdr0.5-2-module-lms7
 Architecture: any
 Multi-Arch: same
-Depends: liblimesuite16.8-1 (>= ${binary:Version}),
+Depends: liblimesuite16.12-1 (>= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Description: Lime Microsystems LMS7 device support for SoapySDR
  Lime Suite is a collection of software supporting Lime Microsystems LMS7 RF
@@ -84,6 +85,7 @@
 Package: limesuite-udev
 Section: libs
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Lime Suite - USB rules for udev
  Lime Suite is a collection of software supporting Lime Microsystems LMS7 RF
